%{!?pyver: %global pyver %(%{__python} -c "import sys ; print(sys.version[:3])")}

Name:           pynac
Version:        0.2.1
Release:        2%{?dist}
Summary:        Manipulation of symbolic expressions
Group:          Development/Languages
License:        GPLv2+
URL:            http://pynac.sagemath.org/
#Source0:        http://pynac.sagemath.org/download/pynac-%%{version}.spkg
Source0:        http://sagemath.org/packages/standard/pynac-%{version}.spkg
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel


%description
Pynac is a derivative of the C++ library GiNaC, which allows manipulation of
symbolic expressions. It currently provides the backend for symbolic
expressions in Sage.

The main difference between Pynac and GiNaC is that Pynac relies on Sage to
provide the operations on numerical types, while GiNaC depends on CLN for this
purpose.


%package        devel
Summary:        Development headers and libraries for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig


%description    devel
Headers and libraries for developing with %{name}.


%prep
%setup -q


%build
cd src
export CXXFLAGS="%{optflags} -I%{_includedir}/python%{pyver}"
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
cd src
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc src/AUTHORS src/ChangeLog src/COPYING src/NEWS src/README
%{_libdir}/lib%{name}-*.so*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec  7 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.2.1-1
- update to new version
- fix ftbfs #631289

* Wed Jan 27 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.1.11-1
- update to new version
- use {buildroot} and {optflags}
- install preserving timestamps
- R: pkgconfig

* Fri Jan 15 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.1.10-1
- update to new version
- use %%global and not %%define

* Fri Oct 16 2009 Thomas Spura <tomspur@fedoraproject.org> - 0.1.9-2
- disable static librariy

* Sun Oct 11 2009 Thomas Spura <tomspur@fedoraproject.org> - 0.1.9-1
- Bumped to new version 0.1.9
- description modified

* Sat Mar 21 2009 Conrad Meyer <konrad@tylerc.org> - 0.1.3-1
- Initial package.
